Name: setxkbmap
Version: 1.3.0
Release: %mkrel 2
Summary: Set the keyboard using the X Keyboard Extension
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1: 95setxkbmap
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxkbfile-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

%description
The setxkbmap command maps the keyboard to use the layout determined by the
options specified on the command line.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/etc/X11/xinit.d
install -m 0755 %SOURCE1 %{buildroot}/etc/X11/xinit.d/95setxkbmap


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/setxkbmap
%{_mandir}/man1/setxkbmap.1.*
/etc/X11/xinit.d/95setxkbmap

%changelog
* Thu Jun 20 2013 Texstar <texstar at gmail.com> 1.3.0-2pclos2013
- fix keyboard mapping in xorg

* Fri May 24 2013 Texstar <texstar at gmail.com> 1.3.0-1pclos2013
- 1.3.0

* Mon May 16 2011 Texstar <texstar at gmail.com> 1.2.0-1pclos2011
- update for new xorg server

